Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class StableHashMap.Entry

    java.lang.Object
      ix.util.StableHashMap.Entry

All Implemented Interfaces:
  java.io.Serializable, java.util.Map.Entry

Enclosing class:
  StableHashMap

    protected class StableHashMap.Entry

extends java.lang.Object
implements java.util.Map.Entry, java.io.Serializable

The Map.Entry implementation for a StableHashMap.

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.Object` | `key`
`(package private) StableHashMap.Entry` | `nextEntry`
`(package private) java.lang.Object` | `value`

Constructor Summary
`StableHashMap.Entry(java.lang.Object key, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`(package private) void` | `linkAfter(StableHashMap.Entry previous)`
`(package private) StableHashMap.Entry` | `next()`
`java.lang.Object` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    java.lang.Object key

### value

    java.lang.Object value

### nextEntry

    StableHashMap.Entry nextEntry

Constructor Detail

### StableHashMap.Entry

    StableHashMap.Entry(java.lang.Object key,
                        java.lang.Object value)

Method Detail

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry`

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry`

### next

    StableHashMap.Entry next()

### linkAfter

    void linkAfter(StableHashMap.Entry previous)

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map.Entry`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD